{
   "format_version": "1.20.0",
   "minecraft:client_entity": {
      "description": {
         "identifier": "test:number",
         "materials": {
            "default": "entity_alphatest"
         },
         "textures": {
            "default": "font/default8.png"
         },
         "geometry": {
            "default": "geometry.test.number"
         },
         "render_controllers": [
            "controller.render.default"
         ],
         "animations": {
            "number": "animation.test.number"
         },
         "scripts": {
            "pre_animation": ["v.number = q.position(0)*10; v.digit0 = math.floor(math.mod(v.number, 10)); v.digit1 = math.floor(math.mod(v.number, 100)/10); v.digit2 = math.floor(math.mod(v.number, 1000)/100); v.digit3 = math.floor(math.mod(v.number, 10000)/1000); v.digit4 = math.floor(math.mod(v.number, 100000)/10000); v.digit5 = math.floor(math.mod(v.number, 1000000)/100000); v.digit6 = math.floor(math.mod(v.number, 10000000)/1000000);"],
            "animate": ["number"]
         }
      }
   }
}